Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 2636)
@@ -36,4 +36,5 @@
    USE prtctl          ! Print control
    USE lbclnk          ! lateral boundary condition 
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -80,10 +81,9 @@
       !!
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
-      !!
-      !!----------------------------------------------------------------------
-      !
-      IF(wrk_in_use(3, 1,2) ) THEN
+      !!----------------------------------------------------------------------
+      !
+      IF( wrk_in_use(3, 1,2) ) THEN
          CALL ctl_stop('dyn_hpg: requested workspace arrays are unavailable')   ;   RETURN
-      END IF
+      ENDIF
       !
       IF( l_trddyn ) THEN                    ! Temporary saving of ua and va trends (l_trddyn)
@@ -111,5 +111,5 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF(wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_hpg: failed to release workspace arrays')
+      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_hpg: failed to release workspace arrays')
       !
    END SUBROUTINE dyn_hpg
@@ -152,5 +152,5 @@
       !
       IF( lk_vvl .AND. .NOT. ln_hpg_sco )   &
-         &   CALL ctl_stop( 'dyn_hpg_init : variable volume key_vvl require the standard jacobian formulation hpg_sco')
+         &   CALL ctl_stop('dyn_hpg_init : variable volume key_vvl require the standard jacobian formulation hpg_sco')
       !
       !                               ! Set nhpg from ln_hpg_... flags
@@ -172,5 +172,5 @@
       IF( ln_hpg_djc )   ioptio = ioptio + 1
       IF( ln_hpg_rot )   ioptio = ioptio + 1
-      IF ( ioptio /= 1 )   CALL ctl_stop( ' NO or several hydrostatic pressure gradient options used' )
+      IF( ioptio /= 1 )   CALL ctl_stop( 'NO or several hydrostatic pressure gradient options used' )
       !
    END SUBROUTINE dyn_hpg_init
@@ -619,7 +619,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) ) THEN
+      IF( wrk_in_use(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) ) THEN
          CALL ctl_stop('dyn:hpg_djc : requested workspace arrays unavailable')   ;   RETURN
-      END IF
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -819,6 +819,6 @@
       END DO
       !
-      IF(wrk_not_released(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) )   &
-         CALL ctl_stop('dyn:hpg_djc : failed to release workspace arrays.')
+      IF( wrk_not_released(3, 1,2,3,4,5,6,7,8,9,10,11,12,13,14,15) )   &
+         CALL ctl_stop('dyn:hpg_djc : failed to release workspace arrays')
       !
    END SUBROUTINE hpg_djc
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynkeg.F90	(revision 2636)
@@ -14,7 +14,8 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
-   USE in_out_manager  ! I/O manager
    USE trdmod          ! ocean dynamics trends 
    USE trdmod_oce      ! ocean variables trends
+   USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
 
@@ -61,6 +62,6 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(3,1) ) THEN
-         CALL ctl_stop('dyn_key: requested workspace array is unavailable.')   ;   RETURN
+      IF( wrk_in_use(3,1) ) THEN
+         CALL ctl_stop('dyn_key: requested workspace array is unavailable')   ;   RETURN
       ENDIF
 
@@ -135,5 +136,5 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF(wrk_not_released(3, 1) )   CALL ctl_stop('dyn_key: failed to release workspace array')
+      IF( wrk_not_released(3, 1) )   CALL ctl_stop('dyn_key: failed to release workspace array')
       !
    END SUBROUTINE dyn_keg
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf.F90	(revision 2636)
@@ -41,7 +41,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -58,8 +57,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(3, 1,2))THEN
-         CALL ctl_stop('dyn_ldf: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(3, 1,2) ) THEN
+         CALL ctl_stop('dyn_ldf: requested workspace arrays unavailable.')   ;   RETURN
+      ENDIF
       !
       IF( l_trddyn )   THEN                      ! temporary save of ta and sa trends
@@ -112,7 +110,5 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF(wrk_not_released(3, 1,2))THEN
-         CALL ctl_stop('dyn_ldf: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_ldf: failed to release workspace arrays.')
       !
    END SUBROUTINE dyn_ldf
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilap.F90	(revision 2636)
@@ -27,6 +27,5 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC dyn_ldf_bilap  ! called by step.F90
+   PUBLIC   dyn_ldf_bilap   ! called by step.F90
 
    !! * Substitutions
@@ -75,8 +74,8 @@
       !!               mixing trend.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: zcu => wrk_2d_1, zcv => wrk_2d_2   ! 3D workspace
-      USE wrk_nemo, ONLY: zuf => wrk_3d_1, zut => wrk_3d_2   ! 3D workspace
-      USE wrk_nemo, ONLY: zlu => wrk_3d_3, zlv => wrk_3d_4
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zcu => wrk_2d_1, zcv => wrk_2d_2   ! 3D workspace
+      USE wrk_nemo, ONLY:   zuf => wrk_3d_1, zut => wrk_3d_2   ! 3D workspace
+      USE wrk_nemo, ONLY:   zlu => wrk_3d_3, zlv => wrk_3d_4
       !
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_bilapg.F90	(revision 2636)
@@ -24,4 +24,5 @@
    USE trdmod_oce      ! ocean variables trends
    USE ldfslp          ! iso-neutral slopes available
+   USE lib_mpp         ! MPP library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
@@ -41,7 +42,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -50,10 +50,8 @@
       !!               ***  ROUTINE dyn_ldf_bilapg_alloc  ***
       !!----------------------------------------------------------------------
-      !
       ALLOCATE( zfuw(jpi,jpk) , zfvw (jpi,jpk) , zdiu(jpi,jpk) , zdiv (jpi,jpk) ,     &
          &      zdju(jpi,jpk) , zdj1u(jpi,jpk) , zdjv(jpi,jpk) , zdj1v(jpi,jpk) , STAT=dyn_ldf_bilapg_alloc)
          !
       IF( dyn_ldf_bilapg_alloc /= 0 )   CALL ctl_warn('dyn_ldf_bilapg_alloc: failed to allocate arrays')
-      !
    END FUNCTION dyn_ldf_bilapg_alloc
 
@@ -96,6 +94,6 @@
 
       IF( wrk_in_use(3, 1,2) ) THEN
-         CALL ctl_stop('dyn_ldf_bilapg: requested workspace arrays unavailable.')   ;   RETURN
-      END IF
+         CALL ctl_stop('dyn_ldf_bilapg: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -454,7 +452,5 @@
       !                                                ! ===============
 
-      IF(wrk_not_released(2, 1,2,3,4,5,6,7,8))THEN
-         CALL ctl_stop('dyn:ldfguv : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop('dyn:ldfguv : failed to release workspace arrays')
       !
    END SUBROUTINE ldfguv
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynldf_iso.F90	(revision 2636)
@@ -27,4 +27,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
 
@@ -53,10 +54,8 @@
       !!                  ***  ROUTINE dyn_ldf_iso_alloc  ***
       !!----------------------------------------------------------------------
-      !
       ALLOCATE( zfuw(jpi,jpk) , zdiu(jpi,jpk) , zdju(jpi,jpk) , zdj1u(jpi,jpk) ,     & 
          &      zfvw(jpi,jpk) , zdiv(jpi,jpk) , zdjv(jpi,jpk) , zdj1v(jpi,jpk) , STAT=dyn_ldf_iso_alloc)
          !
       IF( dyn_ldf_iso_alloc /= 0 )   CALL ctl_warn('dyn_ldf_iso_alloc: array allocate failed.')
-      !
    END FUNCTION dyn_ldf_iso_alloc
 
@@ -121,5 +120,5 @@
 
       IF( wrk_in_use(2, 1,2,3,4,5,6,7,8) ) THEN
-         CALL ctl_stop('dyn_ldf_iso: requested workspace arrays unavailable.')   ;   RETURN
+         CALL ctl_stop('dyn_ldf_iso: requested workspace arrays unavailable')   ;   RETURN
       END IF
 
@@ -429,8 +428,6 @@
       !                                                ! ===============
 
-      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8))THEN
-         CALL ctl_stop('dyn_ldf_iso: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1,2,3,4,5,6,7,8) )   CALL ctl_stop('dyn_ldf_iso: failed to release workspace arrays')
+      !
    END SUBROUTINE dyn_ldf_iso
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynnxt.F90	(revision 2636)
@@ -37,4 +37,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! lateral boundary condition (or mpp link)
+   USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
 #if defined key_agrif
@@ -110,8 +111,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3))THEN
-         CALL ctl_stop('dyn_nxt: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3) ) THEN
+         CALL ctl_stop('dyn_nxt: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -325,7 +325,5 @@
          &                       tab3d_2=vn, clinfo2=' Vn: '       , mask2=vmask )
       ! 
-      IF(wrk_not_released(2, 1,2,3))THEN
-         CALL ctl_stop('dyn_nxt: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3) )   CALL ctl_stop('dyn_nxt: failed to release workspace arrays.')
       !
    END SUBROUTINE dyn_nxt
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg.F90	(revision 2636)
@@ -14,4 +14,5 @@
    USE oce            ! ocean dynamics and tracers variables
    USE dom_oce        ! ocean space and time domain variables
+   USE phycst         ! physical constants
    USE obc_oce        ! ocean open boundary conditions
    USE sbc_oce        ! surface boundary condition: ocean
@@ -26,5 +27,5 @@
    USE prtctl         ! Print control                     (prt_ctl routine)
    USE in_out_manager ! I/O manager
-   USE phycst         ! physical constants
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
@@ -42,7 +43,6 @@
    !! NEMO/OPA 3.2 , LODYC-IPSL  (2009)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -83,8 +83,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(3, 4,5))THEN
-         CALL ctl_stop('dyn_spg: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(3, 4,5) ) THEN
+         CALL ctl_stop('dyn_spg: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
 !!gm NOTA BENE : the dynspg_exp and dynspg_ts should be modified so that 
@@ -154,7 +153,5 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF(wrk_not_released(3, 4,5))THEN
-         CALL ctl_stop('dyn_spg: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(3, 4,5) )   CALL ctl_stop('dyn_spg: failed to release workspace arrays')
       !
    END SUBROUTINE dyn_spg
@@ -181,5 +178,5 @@
 
       !                        ! allocate dyn_spg arrays
-      IF( lk_dynspg_ts  .AND. dyn_spg_ts_alloc () /= 0 )   CALL ctl_stop('STOP', 'dyn_spg_init: failed to allocate ts  arrays')
+      IF( lk_dynspg_ts .AND.dyn_spg_ts_alloc() /= 0 )   CALL ctl_stop('STOP', 'dyn_spg_init: failed to allocate ts  arrays')
 
       !                        ! Control of surface pressure gradient scheme options
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 2636)
@@ -132,7 +132,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2,  1, 2, 3, 4, 5, 6, 7, 8, 9,10,         &
-                          11,12,13,14,15,16,17,18,19,20,21 ) ) THEN
-         CALL ctl_stop( 'dyn_spg_ts: requested workspace arrays unavailable.' )   ;   RETURN
+      IF( wrk_in_use(2,  1, 2, 3, 4, 5, 6, 7, 8, 9,10,        &
+         &              11,12,13,14,15,16,17,18,19,20,21 ) ) THEN
+         CALL ctl_stop( 'dyn_spg_ts: requested workspace arrays unavailable' )   ;   RETURN
       END IF
 
@@ -569,8 +569,7 @@
       !
       !
-      IF(wrk_not_released(2,  1, 2, 3, 4, 5, 6, 7, 8, 9,10,         &
-                              11,12,13,14,15,16,17,18,19,20,21))THEN
+      IF( wrk_not_released(2,  1, 2, 3, 4, 5, 6, 7, 8, 9,10,         &
+         &                    11,12,13,14,15,16,17,18,19,20,21) )    &
          CALL ctl_stop('dyn_spg_ts: failed to release workspace arrays.')
-      END IF
       !
    END SUBROUTINE dyn_spg_ts
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 2636)
@@ -33,4 +33,5 @@
    USE prtctl         ! Print control
    USE in_out_manager ! I/O manager
+   USE lib_mpp
 
    IMPLICIT NONE
@@ -218,8 +219,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3))THEN
-         CALL ctl_stop('dyn:vor_ene: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2,3) ) THEN
+         CALL ctl_stop('dyn:vor_ene: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -286,7 +286,5 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      IF(wrk_not_released(2, 1,2,3))THEN
-         CALL ctl_stop('dyn:vor_ene: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3) )   CALL ctl_stop('dyn:vor_ene: failed to release workspace arrays.')
       !
    END SUBROUTINE vor_ene
@@ -335,8 +333,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 4,5,6,7))THEN
-         CALL ctl_stop('dyn:vor_mix: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 4,5,6,7) ) THEN
+         CALL ctl_stop('dyn:vor_mix: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -410,7 +407,5 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      IF(wrk_not_released(2, 4,5,6,7))THEN
-         CALL ctl_stop('dyn:vor_mix: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 4,5,6,7) )   CALL ctl_stop('dyn:vor_mix: failed to release workspace arrays')
       !
    END SUBROUTINE vor_mix
@@ -456,7 +451,6 @@
       !!----------------------------------------------------------------------
       
-      IF(wrk_in_use(2, 4,5,6))THEN
-         CALL ctl_stop('dyn:vor_ens : requested workspace arrays unavailable.')
-         RETURN
+      IF( wrk_in_use(2, 4,5,6) ) THEN
+         CALL ctl_stop('dyn:vor_ens : requested workspace arrays unavailable')   ;   RETURN
       END IF
 
@@ -532,7 +526,5 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-      IF(wrk_not_released(2, 4,5,6))THEN
-         CALL ctl_stop('dyn:vor_ens : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 4,5,6) )   CALL ctl_stop('dyn:vor_ens : failed to release workspace arrays')
       !
    END SUBROUTINE vor_ens
@@ -580,7 +572,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2,3,4,5,6,7) .OR. wrk_in_use(3, 1) ) THEN
+      IF( wrk_in_use(2, 1,2,3,4,5,6,7) .OR. wrk_in_use(3, 1) ) THEN
          CALL ctl_stop('dyn:vor_een : requested workspace arrays unavailable.')   ;   RETURN
-      END IF
+      ENDIF
 
       IF( kt == nit000 ) THEN
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzad.F90	(revision 2636)
@@ -20,4 +20,5 @@
    USE trdmod         ! ocean dynamics trends 
    USE in_out_manager ! I/O manager
+   USE lib_mpp         ! MPP library
    USE prtctl         ! Print control
 
@@ -66,8 +67,7 @@
       !!----------------------------------------------------------------------
       
-      IF( wrk_in_use(2, 1)  .OR.    &
-          wrk_in_use(3, 1,2) )THEN
-         CALL ctl_stop('dyn_zad: requested workspace arrays unavailable.')
-         RETURN
+      IF( wrk_in_use(2, 1)     .OR.    &
+          wrk_in_use(3, 1,2) ) THEN
+         CALL ctl_stop('dyn_zad: requested workspace arrays unavailable')   ;   RETURN
       END IF
 
@@ -126,9 +126,7 @@
          &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
-      IF( wrk_not_released(2, 1)  .OR.    &
-          wrk_not_released(3, 1,2) )THEN
-         CALL ctl_stop('dyn_zad: failed to release workspace arrays.')
-      END IF
-
+      IF( wrk_not_released(2, 1)       .OR.    &
+          wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_zad: failed to release workspace arrays')
+      !
    END SUBROUTINE dyn_zad
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 2636)
@@ -23,4 +23,5 @@
    USE trdmod_oce      ! ocean variables trends
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_exp.F90	(revision 2636)
@@ -19,5 +19,7 @@
    USE zdf_oce         ! ocean vertical physics
    USE sbc_oce         ! surface boundary condition: ocean
+   USE lib_mpp         ! MPP library
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -63,8 +65,7 @@
       !!----------------------------------------------------------------------
 
-      IF( wrk_in_use(3, 1,2) )THEN
-         CALL ctl_stop('dyn_zdf_exp : requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(3, 1,2) ) THEN
+         CALL ctl_stop('dyn_zdf_exp: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 .AND. lwp ) THEN
@@ -119,7 +120,5 @@
       END DO                           ! End of time splitting
       !
-      IF( wrk_not_released(3, 1,2) )THEN
-         CALL ctl_stop('dyn_zdf_exp : failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop('dyn_zdf_exp : failed to release workspace arrays')
       !
    END SUBROUTINE dyn_zdf_exp
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/dynzdf_imp.F90	(revision 2636)
@@ -20,4 +20,5 @@
    USE phycst          ! physical constants
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/DYN/sshwzv.F90	(revision 2636)
@@ -25,4 +25,5 @@
    USE phycst
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
+   USE lib_mpp         ! MPP library
    USE obc_par         ! open boundary cond. parameter
    USE obc_oce
@@ -86,8 +87,7 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1,2))THEN
-         CALL ctl_stop('ssh_wzv: requested workspace arrays unavailable.')
-         RETURN
-      END IF
+      IF( wrk_in_use(2, 1,2) ) THEN
+         CALL ctl_stop('ssh_wzv: requested workspace arrays unavailable')   ;   RETURN
+      ENDIF
 
       IF( kt == nit000 ) THEN
@@ -244,7 +244,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask, ovlap=1 )
       !
-      IF(wrk_not_released(2, 1,2))THEN
-         CALL ctl_stop('ssh_wzv: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2) )   CALL ctl_stop('ssh_wzv: failed to release workspace arrays')
       !
    END SUBROUTINE ssh_wzv
